#ifndef ARGPARSER_PARSE_FUNC_H
#define ARGPARSER_PARSE_FUNC_H

#include "defs.h"
#include <functional>


namespace argparser::internal {
    template<typename T>
    using parser_func = std::function<T(const char *begin, const char *end, const char *&parse_end, internal::parser_allow_undelimited allow_undelimited)>;

}

#endif//ARGPARSER_PARSE_FUNC_H
